.project {
    z-index: 200;
    color: $white;
    position: relative;
    padding-top: 140px;
    background-color: $dark;

    &__nav {
        margin-bottom: 20px;
    }

    &__header {
        font-weight: 800;
        margin-bottom: 20px;
        font-size: size-rel(32px);
        line-height: size-rel(36px);
    }

    &__media {
        width: 100%;
        margin-bottom: 20px;
    }

    &__main {
        font-size: size-rel(14px);
        line-height: size-rel(18px);
    }

    &__lg {
        display: none;
    }

    &__row {
        display: flex;
        margin-bottom: 25px;
    }

    &__cost {
        width: 150px;
        flex-shrink: 0;

        &--price {
            margin-bottom: 10px;
        }

        &--text {

        }
    }

    &__price {
        white-space: nowrap;
        font-weight: 800;

        &--old {
            color: #9ea0a2;
            text-decoration: line-through;
            font-size: size-rel(18px);
            line-height: size-rel(20px);
        }

        &--new {
            color: $secondary;
            font-size: size-rel(26px);
            line-height: size-rel(30px);
        }
    }

    &__benefit {
        flex-grow: 1;
        padding-left: 15px;

        &--value {
            color: #3c3f42;
            font-weight: 700;
            padding: 4px 10px;
            font-size: size-rel(14px);
            line-height: size-rel(18px);
            text-align: center;
            background: $secondary;
        }

        &--text {
            padding-top: 15px;
        }
    }

    &__params {

    }

    @include media-breakpoint-up(sm) {

        &__cost {
            width: 240px;
        }
    }

    @include media-breakpoint-up(md) {

        &__cost {
            width: 360px;
        }
    }

    @include media-breakpoint-up(lg) {

        &__wrap {
            display: flex;
            justify-content: space-between;
        }

        &__sm {
            display: none;
        }

        &__lg {
            display: block;
        }

        &__main {
            z-index: 100;
            width: 410px;
            position: relative;
        }

        &__header {
            font-size: size-rel(42px);
            line-height: 1.2;
        }

        &__row {
            display: block;
        }

        &__cost {
            width: 100%;
            margin-bottom: 15px;
            display: flex;
            align-items: center;

            &--price {
                margin: 0 20px 0 0;
            }
        }

        &__price {

            &--new {
                font-size: size-rel(32px);
                line-height: size-rel(38px);
            }
        }

        &__benefit {
            padding: 0;
            display: flex;
            align-items: center;

            &--value {
                width: 200px;
                flex-shrink: 0;
            }

            &--text {
                padding: 0 0 0 20px;
            }
        }

        &__media {
            margin: 0;
            width: calc(100% - 450px);
        }

    }

    @include media-breakpoint-up(xl) {}
}

.project-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 20px;
    font-size: size-rel(16px);
    line-height: size-rel(20px);

    &__item {
        color: $white;
        width: calc(50% - 8px);
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &--prev {

            svg {
                transform: rotate(180deg);
            }
        }

        &--next {
        }

        svg {
            fill: $white;
        }

        &:hover {
            color: $secondary;
            text-decoration: none;

            svg {
                fill: $secondary;
            }
        }
    }

    &__arrow {
        font-size: 0;
        line-height: 0;
        height: 20px;
        display: inline-block;
    }

    &__text {
    }

    @include media-breakpoint-up(sm) {

        &__text {

            br {
                display: none;
            }
        }
    }

    @include media-breakpoint-up(md) {
        max-width: 400px;
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: 50px;
    }
}

.project-media {
    position: relative;

    &__image {
        overflow: hidden;
        display: block;

        &--wrap {
            display: block;
            margin: 0 -50px;
        }
    }

    &__thumbs {
        padding-top: 8px;
    }

    &__thumb {
        cursor: pointer;
        overflow: hidden;
        position: relative;
    }

    @include media-breakpoint-up(lg) {

        &__gallery {
            margin-left: -60px;
        }

        &__image {

            &--wrap {
                margin: 0 -80px 0 -120px;
            }
        }

        &__thumbs {
            left: 0;
            width: 400px;
            bottom: -30px;
            position: absolute;
        }
    }

    @include media-breakpoint-up(xl) {

        &__gallery {
            margin-left: -260px;
        }

        &__image {

            &--wrap {
                margin: 0;
            }
        }

        &__thumbs {
            width: 546px;
            bottom: -46px;

            .slider-nav {
                top: calc(100% - 40px);

                &__prev {
                    left: calc(100% - 80px);
                }
            }
        }
    }
}

.project-params {
    padding: 10px 30px;
    background: $white;

    &__list {
        margin: 0;
        padding: 0;
        color: $primary;
        font-weight: 700;
        font-size: size-rel(14px);
        line-height: size-rel(16px);
        list-style: none;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;

        li {
            width: 50%;
            margin: 10px 0;
            position: relative;
            padding-left: 35px;

            span {
                display: block;
            }

            &:nth-child(1) {

                .project-params__icon {
                    height: 30px;
                    top: calc(50% - 15px);
                }
            }

            &:nth-child(3) {

                .project-params__icon {
                    height: 30px;
                    top: calc(50% - 15px);
                }
            }
        }
    }

    &__label {
        color: #5b5e69;
    }

    &__icon {
        left: 0;
        top: calc(50% - 12px);
        height: 24px;
        font-size: 0;
        line-height: 0;
        position: absolute;
        display: inline-block;

        svg {
            fill: #33343a;
        }
    }

    @include media-breakpoint-up(sm) {
        padding: 30px 30px;

        &__list {
            justify-content: space-between;

            li {
                width: auto;
                margin: 0;
            }
        }
    }

    @include media-breakpoint-up(lg) {
        position: absolute;
        right: 0;
        bottom: 0;
        z-index: 100;
        left: -100px;
        padding: 10px 0 10px 30px;

        &:before {
            top: 0;
            left: 100%;
            z-index: 10;
            content: '';
            width: 3000px;
            height: 100%;
            position: absolute;
            background: $white;
        }

        &__list {
            height: 60px;
            align-items: center;
            flex-wrap: nowrap;
        }
    }

    @include media-breakpoint-up(xl) {
        padding: 40px 0 40px 40px;
    }
}

.project-options {
    padding: 30px 0;

    &__title {
        font-weight: 500;
        font-size: size-rel(20px);
        line-height: size-rel(24px);
        margin-bottom: 15px;
        font-family: $font-family-secondary;
    }

    &__group {
        margin-bottom: 30px;
    }

    &__content {
        display: grid;
        grid-row-gap: 30px;
        grid-column-gap: 30px;
        grid-template-columns: 1fr;
    }

    &__item {
        cursor: pointer;
        display: flex;
        align-items: center;
        font-size: size-rel(14px);
        line-height: size-rel(18px);

        &--icon {
            width: 80px;
            padding: 5px 3px;
            border: 2px solid #a8abb4;
            flex-shrink: 0;
        }

        &--description {
            padding-left: 20px;
        }

        &--price {
            font-weight: 800;
            font-size: size-rel(16px);
            line-height: size-rel(20px);
        }

        &--title {
            font-weight: 700;
            font-size: size-rel(16px);
            line-height: size-rel(20px);
        }

        &.active {

            .project-options__item--icon {
                border-color: #bba483;
            }
        }
    }

    &__checkout {
        text-align: center;
    }

    &__total {
        font-weight: 800;
        font-size: size-rel(18px);
        line-height: size-rel(22px);
        margin-bottom: 10px;
        white-space: nowrap;
        display: flex;
        align-items: center;
        justify-content: center;

        &--value {
            color: $secondary;
            font-size: size-rel(20px);
        }
    }

    &__button {

        .btn {
            width: 100%;
        }
    }

    @include media-breakpoint-up(sm) {

        &__content {
            grid-template-columns: 1fr 1fr;
        }

        &__checkout {
            padding-top: 10px;
            text-align: left;
            display: flex;
            align-items: center;
            justify-content: flex-end;
        }

        &__total {
            display: block;
            margin: 0 40px 0 0;
        }

    }

    @include media-breakpoint-up(md) {
        padding-top: 50px;
    }
    @include media-breakpoint-up(lg) {
        padding-top: 100px;
    }

    @include media-breakpoint-up(xl) {

        &__main {
            display: flex;
        }

        &__group {
            margin: 0;

            &--one {
                width: 460px;
                flex-shrink: 0;
            }

            &--two {
                width: 500px;
                flex-shrink: 0;
                padding: 0 24px 0 48px;
                border-left: 1px solid #d3d3d3;
                border-right: 1px solid #d3d3d3;
            }

            &--three {
                flex-grow: 0;
                padding-left: 48px;
            }
        }

        &__content {

            &--column {
                grid-template-columns: 1fr;
            }
        }

        &__item {
            display: block;

            &--icon {
                margin-bottom: 10px;
            }

            &--description {
                padding: 0;
                max-width: 180px;
            }
        }

        &__checkout {
            padding-top: 50px;
        }
    }
}

.info {
    padding-top: 20px;
    padding-bottom: 60px;

    &__table {
        padding-top: 30px;
        background-color: #f7f7f7;

        &--title {
            display: flex;
            align-items: center;
        }

        &--name {
            font-weight: 700;
            padding-left: 40px;
        }
    }

    &__wrap {
        padding: 40px 25px;
        background-color: #f7f7f7;
    }

    &__options {
        display: grid;
        grid-row-gap: 20px;
        grid-column-gap: 14px;
        grid-template-columns: 1fr;

        &--item {
            text-align: center;
            background: $white;
            border-radius: 8px;
            padding: 20px 10px 40px 10px;
        }

        &--image {
            width: 180px;
            margin: 0 auto 20px auto;
        }

        &--title {
            font-weight: 700;
            margin-bottom: 10px;
            font-size: size-rel(20px);
            line-height: size-rel(24px);
        }

        &--price {
            color: $secondary;
            font-weight: 700;
            font-size: size-rel(24px);
            line-height: size-rel(30px);
        }
    }

    &__service {
        font-weight: 700;
        font-size: size-rel(13px);
        line-height: size-rel(15px);
        display: grid;
        grid-row-gap: 10px;
        grid-column-gap: 10px;
        grid-template-columns: 1fr 1fr;

        &--item {
            position: relative;
        }

        &--title {
            top: 10px;
            left: 10px;
            right: 10px;
            position: absolute;
        }
    }

    @include media-breakpoint-up(md) {
        padding-top: 30px;
        padding-bottom: 80px;

        &__wrap {
            padding: 50px 40px;
        }

        &__options {
            grid-template-columns: 1fr 1fr 1fr;

            &--title {
                font-size: size-rel(18px);
                line-height: size-rel(22px);
            }

            &--price {
                font-size: size-rel(20px);
                line-height: size-rel(24px);
            }
        }

        &__service {
            grid-template-columns: 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(lg) {


        &__options {
            grid-column-gap: 30px;

            &--title {
                font-size: size-rel(20px);
                line-height: size-rel(24px);
            }

            &--price {
                font-size: size-rel(24px);
                line-height: size-rel(30px);
            }
        }

        &__service {
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xl) {
        &__service {
            font-size: size-rel(18px);
            line-height: size-rel(22px);
        }
    }
}

.info-view {
    font-size: 0;
    line-height: 0;
    padding-top: 10px;
    padding-right: 16px;
    position: relative;
    display: inline-block;

    &__image {
        height: 30px;
        display: inline-block;

        svg {
            fill: $black;
        }
    }

    &__loop {
        top: 0;
        right: 0;
        width: 26px;
        height: 26px;
        z-index: 10;
        position: absolute;
        border-radius: 50%;
        background: $secondary;
        display: flex;
        align-items: center;
        justify-content: center;

        &--icon {
            height: 14px;
            display: inline-block;
        }

        svg {
            fill: $white;
        }
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}

@include media-breakpoint-up(xxl) {}
